<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIRegenerateMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $messageKey = null;
    


    protected $responseTimestampMs = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMessageKey()
    {
        return $this->messageKey;
    }

    public function hasMessageKey()
    {
        return isset($this->messageKey);
    }

    public function clearMessageKey()
    {
        unset($this->messageKey);
    }

    




    public function setMessageKey($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\MessageKey::class);
        $this->messageKey = $var;

        return $this;
    }

    



    public function getResponseTimestampMs()
    {
        return isset($this->responseTimestampMs) ? $this->responseTimestampMs : 0;
    }

    public function hasResponseTimestampMs()
    {
        return isset($this->responseTimestampMs);
    }

    public function clearResponseTimestampMs()
    {
        unset($this->responseTimestampMs);
    }

    




    public function setResponseTimestampMs($var)
    {
        GPBUtil::checkInt64($var);
        $this->responseTimestampMs = $var;

        return $this;
    }

}

